GNU bug report logs - #5588
23.1.50; C-M-d inside string in Lisp mode gets me out of string into unrelated sexp

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: "Tobias C. Rittweiler" <tcr@HIDDEN>; merged with #3416; dated Wed, 17 Feb 2010 11:52:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 5588 <at> debbugs.gnu.org:


Received: (at 5588) by debbugs.gnu.org; 18 Feb 2010 11:46:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 18 06:46:13 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ni4ph-0007so-0u
	for submit <at> debbugs.gnu.org; Thu, 18 Feb 2010 06:46:13 -0500
Received: from moutng.kundenserver.de ([212.227.126.171])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <andreas.roehler@HIDDEN>) id 1Ni37f-0006Qa-8u
	for 5588 <at> debbugs.gnu.org; Thu, 18 Feb 2010 04:56:41 -0500
Received: from [192.168.178.27] (p54BE923C.dip0.t-ipconnect.de [84.190.146.60])
	by mrelayeu.kundenserver.de (node=mreu0) with ESMTP (Nemesis)
	id 0McRqW-1NQWEk3bqi-00IJV8; Thu, 18 Feb 2010 10:56:35 +0100
Message-ID: <4B7D0F47.5090003@HIDDEN>
Date: Thu, 18 Feb 2010 10:58:31 +0100
From: =?ISO-8859-1?Q?Andreas_R=F6hler?= <andreas.roehler@HIDDEN>
User-Agent: Thunderbird 2.0.0.19 (X11/20081227)
MIME-Version: 1.0
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#5588: 23.1.50;	C-M-d inside string in Lisp mode gets me out
	of string into	unrelated sexp
References: <877hqcp6f3.fsf@HIDDEN> <h9d4032wzn.fsf@HIDDEN>
In-Reply-To: <h9d4032wzn.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Provags-ID: V01U2FsdGVkX19ZCevcYWu21fvxsxK1nxhaN/N9HoHKcWdOJdS
	iJYwl8evAEb61tu+tsoUZKLR3Mn4SdT/7sQkCHBB4P6vw0NXVf
	JtUsztahnmNQ7coarjAkfqSujCl0U3N0dhmWEfcXG0=
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 5588
X-Mailman-Approved-At: Thu, 18 Feb 2010 06:46:11 -0500
Cc: "Tobias C. Rittweiler" <tcr@HIDDEN>, 5588 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Glenn Morris wrote:
> forcemerge 3416 5588
> stop
> 
> "Tobias C. Rittweiler" wrote:
> 
>> Move point inside the string "foo", and press C-M-d.
> 
> As pointed out in http://debbugs.gnu.org/3416#10,
> C-h f down-list says:
> 
>   This command assumes point is not in a string or comment.
> 
> 
> 
> 
> 

Nonetheless, from a users view, think it's a major inconvenience.
Would qualify it as a bug mentioned in the docu.

Suggest leaving this report open, until someone cures it.

Andreas




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5588; Package emacs. Full text available.
Forcibly Merged 3416 5588. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 5588 <at> debbugs.gnu.org:


Received: (at 5588) by debbugs.gnu.org; 18 Feb 2010 00:44:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 17 19:44:51 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NhuVe-0003JQ-K5
	for submit <at> debbugs.gnu.org; Wed, 17 Feb 2010 19:44:50 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>)
	id 1NhuVc-0003JF-QP; Wed, 17 Feb 2010 19:44:49 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <rgm@HIDDEN>)
	id 1NhuVY-0002QE-L7; Wed, 17 Feb 2010 19:44:44 -0500
To: "Tobias C. Rittweiler" <tcr@HIDDEN>
Subject: Re: bug#5588: 23.1.50;
	C-M-d inside string in Lisp mode gets me out of string into unrelated
	sexp
References: <877hqcp6f3.fsf@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
X-Spook: Adriatic Ortega BCCI undercover Mossad constitution 9705
X-Ran: v}d>&p9|lv|Qm6EC9iL9~,X=sX?iR(~6k5(jX?!Xof;=PengztL*W8%L!%b)fci3Jgg{;v
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 17 Feb 2010 19:44:44 -0500
In-Reply-To: <877hqcp6f3.fsf@HIDDEN> (Tobias C. Rittweiler's message of
	"Wed\, 17 Feb 2010 10\:17\:52 +0100")
Message-ID: <h9d4032wzn.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.0 (------)
X-Debbugs-Envelope-To: 5588
Cc: 5588 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.0 (------)

forcemerge 3416 5588
stop

"Tobias C. Rittweiler" wrote:

> Move point inside the string "foo", and press C-M-d.

As pointed out in http://debbugs.gnu.org/3416#10,
C-h f down-list says:

  This command assumes point is not in a string or comment.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5588; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Feb 2010 11:51:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 17 06:51:28 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NhiRC-0001nm-DH
	for submit <at> debbugs.gnu.org; Wed, 17 Feb 2010 06:51:28 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <tcr@HIDDEN>) id 1Nhg3s-0000GC-5W
	for submit <at> debbugs.gnu.org; Wed, 17 Feb 2010 04:19:13 -0500
Received: from mx10.gnu.org ([199.232.76.166]:51151)
	by fencepost.gnu.org with esmtp (Exim 4.69)
	(envelope-from <tcr@HIDDEN>) id 1Nhg3p-0007cn-Ch
	for emacs-pretest-bug@HIDDEN; Wed, 17 Feb 2010 04:19:09 -0500
Received: from eggs.gnu.org ([140.186.70.92]:42952)
	by monty-python.gnu.org with esmtps (TLS-1.0:RSA_AES_256_CBC_SHA1:32)
	(Exim 4.60) (envelope-from <tcr@HIDDEN>) id 1Nhg3o-0005lg-Kf
	for emacs-pretest-bug@HIDDEN; Wed, 17 Feb 2010 04:19:08 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <tcr@HIDDEN>) id 1Nhg3k-0004ht-1T
	for emacs-pretest-bug@HIDDEN; Wed, 17 Feb 2010 04:19:07 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.0 (2010-01-18) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=ham
	version=3.3.0
Received: from a022.reverse.yawsp.de ([62.27.20.22]:35762 helo=freebits.de)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <tcr@HIDDEN>) id 1Nhg3j-0004ez-Kc
	for emacs-pretest-bug@HIDDEN; Wed, 17 Feb 2010 04:19:03 -0500
Received: from host146.natpool.mwn.de ([138.246.7.146] helo=thaleron)
	by freebits.de with esmtpsa (TLSv1:AES256-SHA:256) (Exim 4.44)
	id 1Nhg33-00029O-SC
	for emacs-pretest-bug@HIDDEN; Wed, 17 Feb 2010 09:18:21 +0000
From: "Tobias C. Rittweiler" <tcr@HIDDEN>
To: emacs-pretest-bug@HIDDEN
Subject: 23.1.50;
	C-M-d inside string in Lisp mode gets me out of string into unrelated
	sexp
Date: Wed, 17 Feb 2010 10:17:52 +0100
Message-ID: <877hqcp6f3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-freebits.de-MailScanner-Information: http://freebits.de
X-freebits.de-MailScanner: Sauber
X-freebits.de-MailScanner-SpamCheck: not spam, SpamAssassin (notcached,
	Wertung=0, benoetigt 6, autolearn=not spam)
X-MailScanner-From: tcr@HIDDEN
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 17 Feb 2010 06:51:24 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)


In a .el, or .lisp file with content

  (frob "foo")

  (bar
    ;; Like "Invoking
    ;; external command".
    (quux))

Move point inside the string "foo", and press C-M-d.

Emacs will move point to (|quux.


In GNU Emacs 23.1.50.1 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2009-11-23 on thaleron
Windowing system distributor `The X.Org Foundation', version 11.0.10604000
configured using `configure  '--prefix=/home/tcr/software/emacs-cvs/' '--with-x-toolkit=gtk' '--without-xpm''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  diff-auto-refine-mode: t
  gnus-topic-mode: t
  gnus-undo-mode: t
  global-whitespace-mode: t
  icomplete-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<backspace> <backspace> <backspace> ' l l SPC p r o 
b a b l y SPC l e a v e SPC i t SPC a s SPC i s . C-c 
C-c q <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <down> <return> q g <up> <up> <up> <return> 
E q <down> <return> <return> q <down> <down> <down> 
<down> <down> <down> <down> <return> M-> <return> q 
<return> M-> q <up> <up> <up> <return> d d <return> 
d d q <up> <up> <return> q <up> <up> <up> <return> 
<return> q <up> <up> <up> <return> d d d d d d <return> 
d <return> <up> <return> <down> <return> d d d d q 
<down> <down> <return> q <up> <up> <return> <down> 
<down> <up> <up> <return> <down> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <down> <return> <down> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <help-echo> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <down-mouse-1> 
<mouse-1> <down-mouse-4> <mouse-4> <double-down-mouse-4> 
<double-mouse-4> <down-mouse-4> <mouse-4> <down-mouse-4> 
<mouse-4> <down-mouse-4> <mouse-4> <down-mouse-4> <mouse-4> 
<help-echo> <down-mouse-1> <mouse-1> ^ ^ ^ <help-echo> 
<help-echo> <down-mouse-1> <mouse-1> <help-echo> <down> 
<down> <down> M-u / o 1 0 <return> M-> <return> q g 
<up> <up> <up> <up> <up> <return> E d q <down> <down> 
<down> <down> <down> <return> M-> <return> <return> 
<return> <return> <return> <return> <return> <return> 
<return> <return> <return> <return> <return> <return> 
q M-x e m a c s - v e r s <tab> <return> M-x e m a 
c s - b u g <tab> <M-backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> b u 
g <tab> <M-backspace> <M-backspace> r e p o r t - e 
m <tab> <return>

Recent messages:
No more articles
Expiring articles...done
Retrieving newsgroup: nntp+news.gmane.org:gmane.lisp.steel-bank.devel...
Fetching headers for nntp+news.gmane.org:gmane.lisp.steel-bank.devel...done
Generating summary...done
Mark set
End of message [4 times]
Auto-saving...done
GNU Emacs 23.1.50.1 (i686-pc-linux-gnu, GTK+ Version 2.12.9) of 2009-11-23 on thaleron
call-interactively: Text is read-only

Load-path shadows:
/home/tcr/software/emacs-cvs/share/emacs/23.1.50/lisp/subword hides /home/tcr/software/emacs-cvs/share/emacs/23.1.50/lisp/progmodes/subword
/home/tcr/.emacs.d/config/erc hides /home/tcr/software/emacs-cvs/share/emacs/23.1.50/lisp/erc/erc

Features:
(shadow emacsbug diff-mode mailalias smtpmail newcomment gnus-cite
ansi-color mail-extr gnus-bcklg sort gnus-async gnus-ml disp-table
gnus-topic parse-time timezone nnfolder utf-7 utf7 starttls nnimap imap
nnmaildir nndraft nnmh auth-source gnus-agent gnus-srvr gnus-score
score-mode nnvirtual gnus-msg gnus-art mm-uu mml2015 epg-config mm-view
smime dig nntp gnus-cache gnus-sum nnoo gnus-group gnus-undo nnmail
mail-source format-spec gnus-start gnus-spec gnus-int gnus-range message
sendmail ecomplete rfc822 mml mml-sec password-cache mm-decode mm-bodies
mm-encode mailcap mail-parse rfc2231 rfc2047 rfc2045 qp ietf-drums
mailabbrev gmm-utils mailheader canlock sha1 hex-util hashcash gnus-win
gnus gnus-ems nnheader gnus-util netrc time-date mail-utils mm-util
mail-prsvr eldoc paredit ielm color-theme-hober2 color-theme slime-asdf
slime-fancy slime-fontifying-fu slime-package-fu slime-references
slime-xref-browser tree-widget wid-edit slime-scratch
slime-presentations slime-highlight-edits slime-fuzzy
slime-fancy-inspector slime-c-p-c slime-editing-commands slime-autodoc
advice advice-preload slime-parse slime-repl slime byte-opt bytecomp
byte-compile regexp-opt derived apropos help-fns edmacro kmacro
easy-mmode hideshow easymenu pp comint hyperspec thingatpt browse-url cl
cl-19 whitespace fortune icomplete ffap winner ring tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd font-setting tool-bar dnd
fontset image fringe lisp-mode register page menu-bar rfn-eshadow timer
select scroll-bar mldrag mouse jit-lock font-lock syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev loaddefs button minibuffer faces
cus-face text-properties overlay md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind system-font-setting font-render-setting gtk x-toolkit x
multi-tty emacs)

-- 
Diese Nachricht wurde auf Viren und andere gefaerliche Inhalte untersucht
und ist - aktuelle Virenscanner vorausgesetzt - sauber.
Freebits E-Mail Virus Scanner





Acknowledgement sent to "Tobias C. Rittweiler" <tcr@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5588; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.